Bug 113551 - FILESAVE: Broken import document now even more broken in MSO 2010 after a RT
Summary: FILESAVE: Broken import document now even more broken in MSO 2010 after a RT
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX
  Show dependency treegraph
 
Reported: 2017-10-31 11:00 UTC by Xisco Faulí
Modified: 2019-03-01 03:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-10-31 11:00:03 UTC
Steps to reproduce:
1. Open attachment 68077 [details] from bug 55620
2. Save it as .DOCX
3. Open it in MSO Word

Observed behaviour: the background is gone and the document has 297 pages instead of 11.

Similar behaviour seen if exporting to .DOC

reproduced in

Version: 6.0.0.0.alpha1+
Build ID: d30522e46ca884e9bc74af21711d9537e8118859
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2017-10-31 11:03:56 UTC
Regression introduced by:

author	Justin Luth <justin_luth@sil.org>	2017-09-28 15:22:08 (GMT)
committer	Justin Luth <justin_luth@sil.org>	2017-10-11 17:42:40 (GMT)
commit	e69473539a33da5450d3878999eba7f9bfb9e631 (patch)
tree	35da212cc7e0fd1538b93b5e0a1fb09d01ed8b96
parent	bb1a1e367e049d8f2ea30187b329d370bfd2c6ef (diff)
tdf#55528 ww8import: import table width percent

Bisected with: bibisect-linux64-6.0

Adding Cc: to Justin Luth
Comment 2 Justin L 2017-10-31 19:18:00 UTC
Yuck: a terribly designed document full of unused tables in tables which runs right to the edge of the paper (or past).
Prior to the regression, import table spills off the screen, appears to be blank, and miraculously the layout matches the number of pages (11) seen in Word 2003.
After the regression, the table runs to the print margin (not to the edge of the page), appears to be blank, and is shortened to 7 pages long.

Reversing the column width (from 99%, 1% to 1%, 99%) mostly "fixes" the document for both before and after the regression.

I don't know why MSWord allows a 100% table to spill over the edge of the page. I'd guess it is a bug on their part related to all those table-in-tables somehow.

Hopefully a simpler document shows up that better exposes any bugs. This document that already hide all of the content is only unusable in a different way now.

The regression patch was for import. This bug report primarily focuses on export, so that means an uncovered existing bug? The huge number of pages is because of the 1% width column, so the content goes on forever now that it isn't hidden off-page.
Comment 3 QA Administrators 2019-03-01 03:49:34 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug